Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025244
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2013-11-28 13:252013-12-19 12:32
ReporterioritzCiaView Statuspublic 
Assigned Todbaz 
PrioritynormalResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchFixed in SCM revision5a49c922ecdd
ProjectionnoneETAnoneTarget Version3.0MP31
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_22
OS VersionUbuntu 10.04Database version8.4Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025244: Trial balance converts not existing dates to existing ones.

DescriptionThe date field converts not existing dates to existing ones, for example 30-02-2013 is 02-03-2013.

The report should not make the conversion or should warn the user about it, whatever two.
Steps To Reproduce- Go to the Trial Balance.
- Choose the default mandatory values.
- From date 01-02-2013 To date: 28-02-2013.
- Print it.
- Print it also with From date 01-02-2013 To date: 30-02-2013.
- See that the data is different.
Proposed SolutionThe report should not make the conversion or should warn the user about it, whatever two.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0022505 closedmtaal Invalid date completing in date fields. 

-  Notes
(0062543)
alostale (developer)
2013-12-05 07:51
edited on: 2013-12-05 07:51

Note this is built with 2.50 technology.

There are two problems:

1. Date field validator ensures day range is between 1 and 31, but it does not correlate it with the month, so it allows incorrect dates as described in the issue.
2. Even date is detected as incorrect, the report is allowed to be printed.

Note: when fixing this issue, ensure it works with different date formats

(0062706)
AugustoMauch (developer)
2013-12-11 13:59

Moved to design defect, because this is the expected behavior.

We will add a new preference (ShowWInvalidDateWarning). If this property is set then when a change of date happens a warning dialog will be shown to the user.
(0062738)
alostale (developer)
2013-12-17 08:32

Discussed with Augusto: it is a defect.

What should be fixed:
-Validation should check months with less than 31 days and fail in this case
-If validation fails, clicking the button shouldn't execute the report (note PG allows this kind dates whereas they fail in ORA)
(0062749)
hgbot (developer)
2013-12-17 23:54

Repository: erp/devel/pi
Changeset: 380fb64679e9ec00893eb7740579e0a01e7492a3
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Dec 17 23:48:04 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/380fb64679e9ec00893eb7740579e0a01e7492a3 [^]

Related to issue 25244: Now an error is shown in non-existing dates
like 30-02-2013 or 32-08-2013 in 2.50 based windows

---
M src/org/openbravo/erpCommon/security/Login.html
M src/org/openbravo/erpCommon/security/Login_F1.html
M web/js/default/DateTextBox.js
M web/js/dojo/dojo.js
M web/js/utils.js
---
(0062750)
hgbot (developer)
2013-12-17 23:55

Repository: erp/devel/pi
Changeset: 5a49c922ecdd02842614d0b4c615cad1e3f67dc7
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Dec 17 23:49:52 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5a49c922ecdd02842614d0b4c615cad1e3f67dc7 [^]

Fixed issue 25244: Now 'Trial Balance' report cannot be generated if
there is an invalid date

---
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.html
---
(0062758)
hgbot (developer)
2013-12-18 09:07

Repository: erp/devel/pi
Changeset: 469ba15fbba34671427c69466e2ae564e06b90f8
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Dec 18 09:05:46 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/469ba15fbba34671427c69466e2ae564e06b90f8 [^]

related to issue 25244: prevent xls/pdf trial balance if params are not correct

---
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.java
---
(0062759)
alostale (developer)
2013-12-18 09:09

Tested and code reviewed (added prevention of xls and pdf generation when params are not correct)
(0062859)
hudsonbot (developer)
2013-12-19 12:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b878bb51dc09 [^]

Maturity status: Test
(0062860)
hudsonbot (developer)
2013-12-19 12:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b878bb51dc09 [^]

Maturity status: Test
(0062863)
hudsonbot (developer)
2013-12-19 12:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b878bb51dc09 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-28 13:25 ioritzCia New Issue
2013-11-28 13:25 ioritzCia Assigned To => dmiguelez
2013-11-28 13:25 ioritzCia Web browser => Google Chrome
2013-11-28 13:25 ioritzCia Modules => Core
2013-11-28 13:25 ioritzCia Triggers an Emergency Pack => No
2013-11-28 13:51 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-12-05 07:51 alostale Note Added: 0062543
2013-12-05 07:51 alostale Note Edited: 0062543 View Revisions
2013-12-05 07:51 alostale Web browser Google Chrome => Google Chrome
2013-12-05 07:51 alostale Assigned To jonalegriaesarte => shankarb
2013-12-05 07:51 alostale Target Version => 3.0MP31
2013-12-05 11:01 azabaleta Issue Monitored: azabaleta
2013-12-11 13:59 AugustoMauch Web browser Google Chrome => Google Chrome
2013-12-11 13:59 AugustoMauch Note Added: 0062706
2013-12-11 13:59 AugustoMauch Type defect => design defect
2013-12-17 08:30 alostale Web browser Google Chrome => Google Chrome
2013-12-17 08:30 alostale Type design defect => defect
2013-12-17 08:30 alostale Assigned To shankarb => dbaz
2013-12-17 08:32 alostale Note Added: 0062738
2013-12-17 15:24 dbaz Relationship added related to 0022505
2013-12-17 23:52 dbaz Review Assigned To => alostale
2013-12-17 23:52 dbaz Web browser Google Chrome => Google Chrome
2013-12-17 23:54 dbaz Issue Monitored: alostale
2013-12-17 23:54 hgbot Checkin
2013-12-17 23:54 hgbot Note Added: 0062749
2013-12-17 23:55 hgbot Checkin
2013-12-17 23:55 hgbot Note Added: 0062750
2013-12-17 23:55 hgbot Status new => resolved
2013-12-17 23:55 hgbot Resolution open => fixed
2013-12-17 23:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5a49c922ecdd02842614d0b4c615cad1e3f67dc7 [^]
2013-12-18 09:07 hgbot Checkin
2013-12-18 09:07 hgbot Note Added: 0062758
2013-12-18 09:09 alostale Note Added: 0062759
2013-12-18 09:09 alostale Status resolved => closed
2013-12-18 09:09 alostale Fixed in Version => 3.0MP31
2013-12-19 12:32 hudsonbot Checkin
2013-12-19 12:32 hudsonbot Note Added: 0062859
2013-12-19 12:32 hudsonbot Checkin
2013-12-19 12:32 hudsonbot Note Added: 0062860
2013-12-19 12:32 hudsonbot Checkin
2013-12-19 12:32 hudsonbot Note Added: 0062863


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker